%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name PHP_CompatInfo

Name:           php-pear-PHP-CompatInfo
Version:        1.4.3
Release:        1%{?dist}
Summary:        Find out version and extensions required for a piece of code to run
Summary(fr):    Trouver version et extensions nécessaires à l'exécution d'un code

Group:          Development/Libraries
License:        PHP License
URL:            http://pear.php.net/package/PHP_CompatInfo
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source1:        PHP-LICENSE-3.01
Source2:        xml2changelog
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  dos2unix php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR) >= 1.4.3 php-pear(Console_Getargs) >= 1.3.3 php-pear(Console_Table) >= 1.0.5
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
PHP_CompatInfo will parse a file/folder/script/array to find out the
minimum version and extensions required for it to run. Features advanced
debug output which shows which functions require which version and CLI
output script

%description -l fr
PHP_CompatInfo permet d'analyser un fichier/dossier/script/tableau pour 
trouver la version minimum et les extension nécessaires à son fonctionnement.
Produit des rapports détaillés montrant quelles fonctions utilisées imposent
une version. Un script permet la production de rapport en ligne de commande.

%prep
%setup -q -c
[ -f package2.xml ] || mv package.xml package2.xml
%{_bindir}/php -n %{SOURCE2} package2.xml >CHANGELOG
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml

%{__install} -m 644 -c %{SOURCE1} LICENSE

%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.

%install
rm -rf $RPM_BUILD_ROOT docdir
pushd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}

# Create "pcicmd" executable
dos2unix -n $RPM_BUILD_ROOT%{pear_phpdir}/PHP/CompatInfo/pcicmd.php pcicmd
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}
(   echo "#!%{_bindir}/php"
    cat pcicmd
) > $RPM_BUILD_ROOT%{_bindir}/pcicmd
%{__chmod} +x $RPM_BUILD_ROOT%{_bindir}/pcicmd

popd
# Move documentation
mv $RPM_BUILD_ROOT%{pear_docdir}/%{pear_name} docdir
# avoid rpmlint warning "wrong-file-end-of-line-encoding"
dos2unix -o docdir/docs/examples/* docdir/tests/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi

%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE docdir/tests docdir/docs/examples
%{pear_phpdir}/PHP
%{pear_xmldir}/%{pear_name}.xml
%{_bindir}/pcicmd

%changelog
* Sat Apr 07 2007 Remi Collet <Fedora@FamilleCollet.com> 1.4.3-1
- upgrade to 1.4.3

* Mon Feb 12 2007 Remi Collet <Fedora@FamilleCollet.com> 1.4.1-1
- upgrade to 1.4.1
- upgrade Requires Console_Getargs to 1.3.3

* Thu Sep 28 2006 Remi Collet <Fedora@FamilleCollet.com> 1.4.0-1
- upgrade to 1.4.0
- Change Requires from Console_Getopt to Console_Getargs

* Mon Sep 11 2006 Remi Collet <Fedora@FamilleCollet.com> 1.3.2-1
- generated specfile (pear make-rpm-spec) + cleaning
- add french summary and description
- add pcicmd in /usr/bin
- convert docs to avoid rpmlint warning "wrong-file-end-of-line-encoding"
